Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.tools.development
Interface ApiProxyLocal

All Known Implementing Classes:
  ApiProxyLocalImpl

    public interface ApiProxyLocal

A local service object, suitable for testing of service-client code as well as for local runtime use in `dev_appserver`.

Method Summary
`com.google.appengine.tools.development.LocalRpcService` | `getService(java.lang.String pkg)` Get the `LocalRpcService` identified by the given package.
`void` | `setProperties(java.util.Map<java.lang.String,java.lang.String> properties)` Resets the service properties to `properties`.
`void` | `setProperty(java.lang.String property, java.lang.String value)` Sets an individual service property.
`void` | `stop()` Stops all services started by this ApiProxy and releases all of its resources.

Method Detail

### setProperty

    void setProperty(java.lang.String property,
                     java.lang.String value)

  Sets an individual service property.

  Parameters:
    `property` - name of the property to set
    `value` - new value of the property

### setProperties

    void setProperties(java.util.Map<java.lang.String,java.lang.String> properties)

  Resets the service properties to `properties`.

  Parameters:
    `properties` - a maybe `null` set of properties for local services.

### stop

    void stop()

  Stops all services started by this ApiProxy and releases all of its resources.

### getService

    com.google.appengine.tools.development.LocalRpcService getService(java.lang.String pkg)

  Get the `LocalRpcService` identified by the given package. This method should really only be used by tests.

  Parameters:
    `pkg` - The package identifying the service we want.
  Returns:
    The requested service, or `null` if no service identified by the given package is available.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD